<html>
  <head>
    <title>Registrar</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />

    <!--Import jQuery-->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <!--Import Google Icon Font-->
    <link
      href="https://fonts.googleapis.com/icon?family=Material+Icons"
      rel="stylesheet"
    />
    <!-- Import SweetAlert-->
    <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
    <!--Import materialize.css-->
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css"
    />
    <link
      rel="stylesheet"
      type="text/css"
      href="{{ url_for('static', filename='css/signup_styles.css') }}"
      media="screen"
    />
    <script
      type="text/javascript"
      src="{{ url_for('static', filename='js/login.js') }}"
    ></script>
  </head>

  <body class="login-bg">
    <div class="section"></div>
    <div class="container center">
      <h5 class="indigo-text"><b>Registro de Usuario</b></h5>
    </div>
    <div class="section"></div>
    <main>
      <div class="container center">
        <div
          class="z-depth-1 grey lighten-4 row"
          style="display: inline-block; padding: 32px 48px 0px 48px; border: 1px solid #EEE; opacity: 0.8;"
        >
          <div class="row">
            <div class="col s12"></div>
          </div>

          <div class="row">
            <div class="input-field col s12">
              <input
                class="validate"
                type="text"
                name="nombre"
                id="input_nombre"
              />
              <label for="input_nombre">Nombre</label>
            </div>
          </div>

          <div class="row">
            <div class="input-field col s12">
              <input
                class="validate"
                type="text"
                name="apPaterno"
                id="input_apPaterno"
              />
              <label for="input_apPaterno">Primer apellido</label>
            </div>
          </div>

          <div class="row">
            <div class="input-field col s12">
              <input
                class="validate"
                type="text"
                name="apMaterno"
                id="input_apMaterno"
              />
              <label for="input_apMaterno">Segundo apellido</label>
            </div>
          </div>

          <div class="row">
            <div class="input-field col s12">
              <input
                class="validate"
                type="text"
                name="username"
                id="input_username"
              />
              <label for="input_username">Nombre de usuario</label>
            </div>
          </div>

          <div class="row">
            <div class="input-field col s12">
              <input
                class="validate"
                type="password"
                name="password"
                id="input_password"
              />
              <label for="input_password">Contraseña</label>
            </div>
          </div>

          <div class="row">
            <div class="input-field col s12">
              <input
                class="validate"
                type="text"
                name="acUser"
                id="input_acUser"
              />
              <label for="input_acUser">Usuario de Aruba Cloud</label>
            </div>
          </div>

          <div class="row">
            <div class="input-field col s12">
              <input
                class="validate"
                type="password"
                name="acPass"
                id="input_acPass"
              />
              <label for="input_acPass">Password de Aruba Cloud</label>
            </div>
          </div>

          <br />
          <div class="row">
            <div class="container">
              <button
                id="btn_registrar"
                class="col s12 btn btn-large waves-effect blue darken-1"
              >
                Registrar
              </button>
              <p class="col s12">
                ¿Ya tienes una cuenta? <a href="/">Ingresa</a>
              </p>
            </div>
          </div>
        </div>
      </div>
    </main>

    <script>
      $("#btn_registrar").on("click", function(e) {
        var usuarioCifrado = "";
        var passwdCifrado = "";
        var nombre = document.getElementById("input_nombre").value;
        var apPaterno = document.getElementById("input_apPaterno").value;
        var apMaterno = document.getElementById("input_apMaterno").value;
        var usuario = document.getElementById("input_username").value;
        var passwd = document.getElementById("input_password").value;
        var acUser = document.getElementById("input_acUser").value;
        var acPass = document.getElementById("input_acPass").value;
        if (
          nombre == "" ||
          apPaterno == "" ||
          apPaterno == "" ||
          usuario == "" ||
          passwd == "" ||
          acUser == "" ||
          acPass == ""
        ) {
          swal({
            title: "Campos vacíos",
            text: "Favor de llenar todos los campos",
            icon: "error",
            timer: 2500,
            buttons: false
          });
        } else {
          $.when(
            $.ajax({
              data: { dato: usuario },
              method: "GET",
              url: "https://us-central1-tesismaniaas.cloudfunctions.net/cifrar",
              success: function(data) {
                usuarioCifrado = data;
              }
            }),
            $.ajax({
              data: { dato: passwd },
              method: "GET",
              url: "https://us-central1-tesismaniaas.cloudfunctions.net/cifrar",
              success: function(data) {
                passwdCifrado = data;
              }
            })
          ).then(function(usuarioCifrado, passwdCifrado) {
            $.ajax({
              method: "POST",
              url:
                "https://us-central1-tesismaniaas.cloudfunctions.net/registro_usuario?nombre=" +
                nombre +
                "&paterno=" +
                apPaterno +
                "&materno=" +
                apMaterno +
                "&usuario=" +
                usuarioCifrado[0] +
                "&passwd=" +
                passwdCifrado[0] +
                "&acUsuario=" +
                acUser +
                "&acPasswd=" +
                acPass,
              success: function(data) {
                document.getElementById("input_acUser").value = "";
                document.getElementById("input_acPass").value = "";
                document.getElementById("input_password").value = "";
                if (data == "False") {
                  swal({
                    title: "Error",
                    text: "Ususario o contraseña de Aruba Cloud es incorrecto",
                    icon: "error",
                    timer: 2000,
                    buttons: false
                  });
                } else {
                  swal({
                    title: "Usuario Registrado",
                    text: "El usuario se registró correctamente",
                    icon: "success",
                    timer: 2000,
                    buttons: false
                  });
                  login(usuario, passwd);
                }
              }
            });
          });
        }
      });
    </script>

    <!--JavaScript at end of body for optimized loading-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>
  </body>
</html>
